# Uses of Class
ch.qos.logback.core.rolling.helper.RollingCalendar

Packages that use RollingCalendar
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.

## Uses of RollingCalendar in ch.qos.logback.core.rolling

Fields in ch.qos.logback.core.rolling declared as RollingCalendar
Modifier and Type
Field
Description
`protected RollingCalendar`
TimeBasedFileNamingAndTriggeringPolicyBase.`rc`

## Uses of RollingCalendar in ch.qos.logback.core.rolling.helper

Constructors in ch.qos.logback.core.rolling.helper with parameters of type RollingCalendar
Modifier
Constructor
Description
``
`SizeAndTimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`
``
`TimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`